Subject: Re: bug#62528: 28.2; Emacsclient doesn't use COLORTERM

From: Eli Zaretskii <[email-masked]>
Date: Thu, 30 Mar 2023 13:36:06 +0300

> From: Robert Pluim <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 30 Mar 2023 11:41:42 +0200
> 
> Would you accept a compromise where we check `getenv', and if the
> value is empty, check `egetenv'?

Sorry, no.  First, because it will not behave differently from just
using egetenv to begin with.  More importantly, I don't think we want
to have such different color capabilities on different frames in the
same Emacs session, that will cause many problems we don't want to
touch with a 3-mile pole.

The fix is easy: set the variable before starting Emacs, so why should
we jump through hoops here?